[Flent-users] [tohojo/flent] unable to start flent-gui (#165)

Toke Høiland-Jørgensen notifications at github.com
Thu Jul 4 21:50:43 EEST 2019


Pete Heist <notifications at github.com> writes:

> I'm building flent from head with make and installing with make install. For some reason when I start `flent-gui` with or without arguments (here started with --debug) I get:
>
> ```
> % flent-gui --debug
> Started Flent 1.2.2-git-a8d31e9 using Python 3.7.3.
> Initialised matplotlib v3.1.1 on numpy v1.16.4.
> ERROR: Unknown type <function float_pair_noomit at 0x104513ea0> for option DATA_CUTOFF
> Traceback (most recent call last):
>   File "/usr/local/lib/python3.7/site-packages/flent-1.2.2_git_a8d31e9-py3.7.egg/flent/gui.py", line 1685, in _action_widget
>     widget = self._widget_type_map[action.type]
> KeyError: <function float_pair_noomit at 0x104513ea0>
>
> During handling of the above exception, another exception occurred:
>
> Traceback (most recent call last):
>   File "/usr/local/lib/python3.7/site-packages/flent-1.2.2_git_a8d31e9-py3.7.egg/flent/__init__.py", line 56, in run_flent
>     return run_gui(settings)
>   File "/usr/local/lib/python3.7/site-packages/flent-1.2.2_git_a8d31e9-py3.7.egg/flent/gui.py", line 188, in run_gui
>     mainwindow = MainWindow(settings)
>   File "/usr/local/lib/python3.7/site-packages/flent-1.2.2_git_a8d31e9-py3.7.egg/flent/gui.py", line 367, in __init__
>     compact=True)
>   File "/usr/local/lib/python3.7/site-packages/flent-1.2.2_git_a8d31e9-py3.7.egg/flent/gui.py", line 1658, in __init__
>     wdgt = self._action_widget(a, getattr(settings, a.dest))
>   File "/usr/local/lib/python3.7/site-packages/flent-1.2.2_git_a8d31e9-py3.7.egg/flent/gui.py", line 1688, in _action_widget
>     action.type, action.dest))
> RuntimeError: Unknown type <function float_pair_noomit at 0x104513ea0> for option DATA_CUTOFF
> ```
>
> This happens on both Ubuntu 19.10 with Python 3.7.3, matplotlib 3.1.1,
> numpy 1.16.4 as well as MacOS with the same versions.

Ah! Seems I forgot to update this when I introduced the new data type
for data_cutoff. My apologies; should be a simple fix :)

-Toke


-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/tohojo/flent/issues/165#issuecomment-508556772
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://flent.org/pipermail/flent-users_flent.org/attachments/20190704/f5c1298c/attachment.html>


More information about the Flent-users mailing list